%define name lockvc
%define version 3.0
%define release 4

Summary: Locks the virtual console
Name: %{name}
Version: %{version}
Release: %{release}
Vendor: Matthias Straub <s_straub@ira.uka.de>
Packager: ObiTuarY <Obituary@cybernet.be>
Distribution: ObiTuarY's RPM Packages 
Source: %{name}-%{version}.tgz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Copyright: GPL
Group: Utilities/Console

%changelog

* Mon Jan 12 1998 ObiTuarY <Obituary@cybernet.be>

- Changed group to Utilities/Console, which is more appropriate.

* Sun Dec 14 1997 ObiTuarY <Obituary@cybernet.be>

- Now the files are installed with the right permissions

- The man page is gzipped

%description
Lockvc locks your text-mode console, just like xlock under X11.                               

%prep

%setup -n %{name}-%{version}

%build
rm -rf *.o lockvc
make all

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/etc
mv /usr/src/redhat/BUILD/%{name}-%{version}/lockvc.man /usr/src/redhat/BUILD/%{name}-%{version}/lockvc.1
gzip /usr/src/redhat/BUILD/%{name}-%{version}/lockvc.1
install -m755 /usr/src/redhat/BUILD/%{name}-%{version}/lockvc $RPM_BUILD_ROOT/usr/bin
install -m644 /usr/src/redhat/BUILD/%{name}-%{version}/lockvc.1.gz $RPM_BUILD_ROOT/usr/man/man1
install -m644 /usr/src/redhat/BUILD/%{name}-%{version}/maxlock $RPM_BUILD_ROOT/etc

%clean
rm -r $RPM_BUILD_ROOT/
rm -r /usr/src/redhat/BUILD/%{name}-%{version}/

%files 
%doc COPYING README.lockvc
%config /etc/maxlock
/usr/bin/lockvc
/usr/man/man1/lockvc.1.gz